Subject: Seed Companies??

From: [email-masked]
Date: 3 Mar 95 16:07:30 -0500

Hi everybody!!!
         I have never posted to this list before, but I have a request.  Would 
you mind sending the names and addresses of seed companies to my address.  It 
is for a middle school class, who is writing to these addresses, asking to test 
the companies seeds.  I will forward all information that I get to them!!!!
          THank you very much,
                 Lisa Mendelman
           [email-masked]@IN
P.S. The only companies that they have so far are American, Burpee and Greene 
Valley!!!! :-)